## ros-humble-demo-nodes-cpp-native 0.20.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(demo_nodes_cpp_native)

find_package(rmw_fastrtps_cpp QUIET)
if(NOT rmw_fastrtps_cpp_FOUND)
  message(STATUS "Could not find rmw_fastrtps_cpp - skipping")
  return()
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)

include_directories(include)

add_library(talker_native SHARED
  src/talker.cpp)
target_compile_definitions(talker_native
  PRIVATE "DEMO_NODES_CPP_NATIVE_BUILDING_DLL")
ament_target_dependencies(talker_native
  "rclcpp"
  "std_msgs"
  "rclcpp_components"
  "rmw_fastrtps_cpp")
rclcpp_components_register_node(talker_native PLUGIN "demo_nodes_cpp_native::Talker" EXECUTABLE talker)
install(TARGETS
  talker_native
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)

  set(tutorial_executables "talker")

  set(DEMO_NODES_CPP_EXPECTED_OUTPUT "")
  foreach(executable ${tutorial_executables})
    list(APPEND DEMO_NODES_CPP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/${executable}")
  endforeach()

  set(DEMO_NODES_CPP_EXECUTABLE "")
  foreach(executable ${tutorial_executables})
    list(APPEND DEMO_NODES_CPP_EXECUTABLE "$<TARGET_FILE:${executable}>")
  endforeach()

  string(REPLACE ";" "_" exe_list_underscore "${tutorial_executables}")
  configure_file(
    test/test_executables_tutorial.py.in
    test_${exe_list_underscore}.py.configured
    @ONLY
  )
  file(GENERATE
    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}_$<CONFIG>.py"
    INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}.py.configured"
  )

  add_launch_test(
    "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}_$<CONFIG>.py"
    TARGET test_tutorial_${exe_list_underscore}
    TIMEOUT 30
    ENV
    RCL_ASSERT_RMW_ID_MATCHES=rmw_fastrtps_cpp
    RMW_IMPLEMENTATION=rmw_fastrtps_cpp
  )
  foreach(executable ${tutorial_executables})
    set_property(
      TEST test_tutorial_${exe_list_underscore}
      APPEND PROPERTY DEPENDS ${executable})
  endforeach()
endif()

ament_package()

=== debian/changelog ===
ros-humble-demo-nodes-cpp-native (0.20.3-1jammy) jammy; urgency=high

  * Make demo_nodes_cpp_native install stuff only when it builds (#590 <https://github.com/ros2/demos/issues/590>) (#591 <https://github.com/ros2/demos/issues/591>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.19.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.18.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Fix typo in demo_nodes_cpp_native package description (#536 <https://github.com/ros2/demos/issues/536>)
  * Contributors: Audrow Nash, Víctor Mayoral Vilches

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 17 Dec 2021 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.17.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Oct 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.16.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 11 Aug 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.15.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 May 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.14.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.14.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Apr 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.14.0-1jammy) jammy; urgency=high

  * Update demo_nodes_cpp_native to new Fast DDS API (#493 <https://github.com/ros2/demos/issues/493>)
  * Contributors: Miguel Company

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.13.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Mar 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.12.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.12.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.11.0-1jammy) jammy; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 10 Dec 2020 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.10.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Sep 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.10.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Jun 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.3-1jammy) jammy; urgency=high

  * Shared publisher handle (#448 <https://github.com/ros2/demos/issues/448>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.1-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 12 May 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.0-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 30 Apr 2020 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.2-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.1-1jammy) jammy; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.0-1jammy) jammy; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Check if FastRTPS available in demo_nodes_cpp_native before creating library/executable (#383 <https://github.com/ros2/demos/issues/383>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.7.6-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 30 May 2019 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.7.5-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.7.4-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 May 2019 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.7.3-1jammy) jammy; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 10 May 2019 05:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.7.2-1jammy) jammy; urgency=high



=== debian/control ===
Source: ros-humble-demo-nodes-cpp-native
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-launch <!nocheck>, ros-humble-launch-testing <!nocheck>, ros-humble-launch-testing-ament-cmake <!nocheck>, ros-humble-launch-testing-ros <!nocheck>, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmw-fastrtps-cpp, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-demo-nodes-cpp-native
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmw-fastrtps-cpp, ros-humble-std-msgs, ros-humble-ros-workspace
Description: C++ nodes which access the native handles of the rmw implementation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-demo-nodes-cpp-native//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-demo-nodes-cpp-native 0.20.5

=== debian/changelog ===
ros-humble-demo-nodes-cpp-native (0.20.5-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.3-1bookworm) bookworm; urgency=high

  * Make demo_nodes_cpp_native install stuff only when it builds (#590 <https://github.com/ros2/demos/issues/590>) (#591 <https://github.com/ros2/demos/issues/591>)
  * Contributors: mergify[bot]

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.20.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.19.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.18.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#543 <https://github.com/ros2/demos/issues/543>)
  * Fix typo in demo_nodes_cpp_native package description (#536 <https://github.com/ros2/demos/issues/536>)
  * Contributors: Audrow Nash, Víctor Mayoral Vilches

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.17.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.16.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.15.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 13 May 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.14.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 25 Apr 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.14.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 18 Apr 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.14.0-1bookworm) bookworm; urgency=high

  * Update demo_nodes_cpp_native to new Fast DDS API (#493 <https://github.com/ros2/demos/issues/493>)
  * Contributors: Miguel Company

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.13.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Mar 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.12.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.12.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.11.0-1bookworm) bookworm; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 09 Dec 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.10.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 20 Sep 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.10.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.3-1bookworm) bookworm; urgency=high

  * Shared publisher handle (#448 <https://github.com/ros2/demos/issues/448>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 31 May 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.1-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 11 May 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.9.0-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.4-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 18 Nov 2019 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.3-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 10 Nov 2019 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.2-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Nov 2019 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.1-1bookworm) bookworm; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.8.0-1bookworm) bookworm; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Check if FastRTPS available in demo_nodes_cpp_native before creating library/executable (#383 <https://github.com/ros2/demos/issues/383>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-humble-demo-nodes-cpp-native (0.7.6-1bookworm) bookworm; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-demo-nodes-cpp-native//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-demo-nodes-cpp-native//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-demo-nodes-cpp-native//opt/ros/humble/opt/demo_nodes_cpp_native/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
